# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.8.2] - 2024-04-28

### Added

- Added numeric file name sort option to atlas builder

## [0.8.1] - 2024-04-28

### Added

- Support spritesheet generation in `atlas` command by specifying sprite `--area`

### Changed

- `atlas` args short form changed from `w` and `h` to `x` and `y` to specify max output width, to
  prevent collision with built in help command

## [0.8.0]

### Added

- Support non-square tiles in `split` command with `-w` and `-h` flags

## [0.7.0]

### Added

- Support for `--extrude` param in `extrude` command

## [0.5.0] - 2023-02-22

### Added

- `split` command for taking a sprite sheet and converting it into individual tiles

### Changed

- Moved all arguments into subcommands, for a less confusing end user experience

## [0.4.0] - 2022-08-08

### Added

- Support for GlobRef definitions in a `pipeline.toml` file
    - Takes a `pattern` glob expression instead of an `input_path`
    - Takes a directory path as `output_dir` instead of a file path as `output_file`, and will construct the
      an `output_file` by appending the file name of a matched file to the output directory

### Changed

- All paths in pipelines are now relative to the pipeline configuration file, instead of the current directory

## [0.3.0] - 2022-07-08

### Added

- Added `flip` command, for flipping an image along one or both axes.
- Added `rotate` command to apply a rotation to an image, in steps of 90 degrees.

## [0.2.0]

### Added

- Added `pipeline` command, for applying a series of transformations to an image.